D4Science Infrastructure - Task #11844

geoserver?.d4science.org: Provide a script for start/stop the tomcat container
May 25, 2018 10:26 AM - Roberto Cirillo

Status: Closed Start date: May 25, 2018
Priority: Low Due date:

Assignee: _InfraScience Systems Engineer % Done: 100%
Category: Application Estimated time: 0.00 hour
Target version: UnSprintable

Infrastructure: Production

Description

Is it possible to have a standard script for start/stop the tomcat container in the gcube home?
I've tried to use the following command:

service tomcat7 restart without success:

gcubel@geoserver:~$ service tomcat7 status

You need root privileges to run this script
gcube@geoserver:~$ sudo service tomcat?7 status
[sudo] password for gcube:

The same situation is also present in the following geoserver instances:
geoserver2.d4science.org

geoserver3.d4science.org
geoserverd.d4science.org

Related issues:
Related to D4Science Infrastructure - Incident #11843: geoserver.d4science.or... Closed May 25, 2018

History

#1 - May 25, 2018 10:26 AM - Roberto Cirillo

- Subject changed from geoserver.d4science.org: Provide a script for start/stop the tomcat container to geoserver?.d4science.org: Provide a script for
start/stop the tomcat container

#2 - May 25, 2018 10:27 AM - Roberto Cirillo

- Related to Incident #11843: geoserver.d4science.org: java.lang.OutOfMemoryError: Java heap space added
#5 - May 29, 2018 10:41 AM - Andrea Dell'Amico
There's a role already that adds a custom start/stop script inside the gcube home directory and configures the sudo rules. It's the same used on all the

smartgears nodes.

#6 - May 31, 2018 04:35 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#7 - May 31, 2018 04:36 PM - Andrea Dell'Amico
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Done. Now you can use the start/stop scripts that are present into the gcube home directory.
